Skip to content

Updates a session with the specified ID.

Request

This method will update an existing session with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the session to update.

Bodyapplication/jsonrequired

The updated session that will be saved.

abstract_idstring(Abstract)

The abstract this session is linked to

accessstring(Access)

Who has access to this session

Enum:"included""optional"
capacity_optionsobject(Capacity Options)required
codestring(Code)

Optional code for the event

custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

A description of the session

disable_portal_registrationboolean(Disable Portal Registration)

If set, portal registration for this session is disabled

display_ordernumber, (float)(Display Order)

The display/sort order for the sessions

enable_capacityboolean(Enable Capacity)

If set, the session has a capacity

enable_registration_questionsboolean(Enable Registration Questions)

If set, a user is prompted to answer questions during registration

end_datestring, (date-time)(End Date)

The end date/time of the session

event_idstring(Event)required

The event

has_feesboolean(Has Fees)

Whether or not this session has fees

hide_from_portalboolean(Hide From Portal)

This session is not displayed in the portal or available for registration

hide_from_scheduleboolean(Hide From Schedule)

If selected, hide this session from the online schedule

idstring(ID)^[\w|\-:]+$required

The unique, string identifier of this session

locationstring(Location)
main_presenter_speaker_type_idstring(Main Presenter Speaker Type)

The type to be assigned to the main presenter for sessions generated from abstracts

namestring(Name)required

The name of the session

registration_question_optionsobject(Registration Question Options)required
room_idsArray of strings(Rooms)

The room which is holding the event

sold_outboolean(Sold Out)

Whether the event is sold out

speakersArray of objects
start_datestring, (date-time)(Start Date)

The start date/time of the session

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

track_idsArray of strings(Tracks)

Session tracks

type_idstring(Type)required

The type of session

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abstract_id": "string",
    "access": "included",
    "capacity_options": {
      "capacity": 0,
      "enable_wait_list": true,
      "waitlist_process_id": "string"
    },
    "code": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "description": "string",
    "disable_portal_registration": true,
    "display_order": 0.1,
    "enable_capacity": true,
    "enable_registration_questions": true,
    "end_date": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "has_fees": true,
    "hide_from_portal": true,
    "hide_from_schedule": true,
    "id": "string",
    "location": "string",
    "main_presenter_speaker_type_id": "string",
    "name": "string",
    "registration_question_options": {
      "custom_fields": [
        {
          "id": "string",
          "label": "string",
          "required": true
        }
      ],
      "registration_instructions": "string"
    },
    "room_ids": [
      "string"
    ],
    "sold_out": true,
    "speakers": [
      {
        "speaker_id": "string",
        "speaker_type_id": "string"
      }
    ],
    "start_date": "2019-08-24T14:15:22Z",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "track_ids": [
      "string"
    ],
    "type_id": "string"
  }'

Responses

The session was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
abstract_idstring(Abstract)

The abstract this session is linked to

accessstring(Access)

Who has access to this session

Enum:"included""optional"
capacity_optionsobject(Capacity Options)required
codestring(Code)

Optional code for the event

custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

A description of the session

disable_portal_registrationboolean(Disable Portal Registration)

If set, portal registration for this session is disabled

display_ordernumber, (float)(Display Order)

The display/sort order for the sessions

enable_capacityboolean(Enable Capacity)

If set, the session has a capacity

enable_registration_questionsboolean(Enable Registration Questions)

If set, a user is prompted to answer questions during registration

end_datestring, (date-time)(End Date)

The end date/time of the session

event_idstring(Event)required

The event

has_feesboolean(Has Fees)

Whether or not this session has fees

hide_from_portalboolean(Hide From Portal)

This session is not displayed in the portal or available for registration

hide_from_scheduleboolean(Hide From Schedule)

If selected, hide this session from the online schedule

idstring(ID)^[\w|\-:]+$required

The unique, string identifier of this session

locationstring(Location)
main_presenter_speaker_type_idstring(Main Presenter Speaker Type)

The type to be assigned to the main presenter for sessions generated from abstracts

namestring(Name)required

The name of the session

registration_question_optionsobject(Registration Question Options)required
room_idsArray of strings(Rooms)

The room which is holding the event

sold_outboolean(Sold Out)

Whether the event is sold out

speakersArray of objects
start_datestring, (date-time)(Start Date)

The start date/time of the session

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

track_idsArray of strings(Tracks)

Session tracks

type_idstring(Type)required

The type of session

Response
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0, "enable_wait_list": true, "waitlist_process_id": "string" }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }